org.gradle.api.plugins.quality

## Interface PmdReports

- All Superinterfaces:
    Collection<SingleFileReport>, org.gradle.util.Configurable<ReportContainer<SingleFileReport>>, DomainObjectCollection<SingleFileReport>, Iterable<SingleFileReport>, NamedDomainObjectCollection<SingleFileReport>, NamedDomainObjectSet<SingleFileReport>, ReportContainer<SingleFileReport>, Set<SingleFileReport>

      public interface PmdReports
      extends ReportContainer<SingleFileReport>

  The reporting configuration for the `Pmd` task.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.ReportContainer

      `ReportContainer.ImmutableViolationException`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SingleFileReport` | `getHtml()` The pmd (single file) HTML report
    `SingleFileReport` | `getXml()` The pmd (single file) XML report

    - ### Methods inherited from interface org.gradle.api.reporting.ReportContainer

      `getAsMap, getEnabled, getEnabledDirectoryReportDestinations, getEnabledFileReportDestinations, getEnabledReportNames, getNamer, getNames, getRules, isEmpty`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.NamedDomainObjectCollection

      `add, addAll, addRule, addRule, addRule, findByName, getAt, getByName, getByName, getByName`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Collection

      `clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, iterator, remove, removeAll, retainAll, size, toArray, toArray`

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

- - ### Method Detail

    - #### getHtml

          @Internal
          SingleFileReport getHtml()

      The pmd (single file) HTML report
      Returns:
        The pmd (single file) HTML report

    - #### getXml

          @Internal
          SingleFileReport getXml()

      The pmd (single file) XML report
      Returns:
        The pmd (single file) XML report